LibreOffice LibreOffice 5.3 SDK API Reference

Variables
com::sun::star::rendering::PathCapType Constant Group Reference

These constants determine which shape to use for start or end of a stroked path. More...

## Variables
const byte | BUTT =0
| End the path at its start or end point, without any cap. More...
const byte | ROUND =1
| Extend the path with a half circle cap, diameter is the line width. More...
const byte | SQUARE =2
| Extend the path with a rectangular cap, half the line width long. More...

## Detailed Description

These constants determine which shape to use for start or end of a stroked path.

The start and end of stroked paths can have one out of several different shapes (which are, of course, only visible for strokes wider than one device pixel).

Since
  OOo 2.0

## Variable Documentation

## ◆ BUTT

const byte BUTT =0

End the path at its start or end point, without any cap.

## ◆ ROUND

const byte ROUND =1

Extend the path with a half circle cap, diameter is the line width.

## ◆ SQUARE

const byte SQUARE =2

Extend the path with a rectangular cap, half the line width long.